package visdir.com.daniminguet.es;

import java.io.File;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class VisualizarDirectorio {
	public static final File RUTA_A_VISUALIZAR = new File("C:\\Users\\Dani\\OneDrive\\Documentos");
	
	public static void main(String args[]) {
		File[] elementosRuta = RUTA_A_VISUALIZAR.listFiles();
		DateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		
		System.out.println("PERMISOS\tTIPO\t\tFECHA MODIFICACIÓN\tTAMAÑO\t\tNOMBRE");
		
		for(int i = 0; i < elementosRuta.length; i++) {
			if(elementosRuta[i].canExecute()) {
				System.out.print("x");
			} else {
				System.out.print("-");
			}
			
			if(elementosRuta[i].canRead()) {
				System.out.print("r");
			} else {
				System.out.print("-");
			}
			
			if(elementosRuta[i].canWrite()) {
				System.out.print("w");
			} else {
				System.out.print("-");
			}
			System.out.print("\t\t");
			
			if(elementosRuta[i].isDirectory()) {
				System.out.print("Directorio\t");
			} else if(elementosRuta[i].isFile()) {
				System.out.print("Archivo\t\t");
			}
			
			long modificacion = elementosRuta[i].lastModified();
			
			System.out.print(sdf.format(modificacion) + "\t\t");
			System.out.print(elementosRuta[i].length() + "\t\t");
			System.out.print(elementosRuta[i].getName() + "\n");
		}
	}
}
